# DataExchange
TKSTEP209
StepElement

# StepElement_Curve3dElementDescriptor Class Reference

Representation of STEP entity Curve3dElementDescriptor
.

`#include <StepElement_Curve3dElementDescriptor.hxx>`

Inheritance diagram for StepElement_Curve3dElementDescriptor:

[legend]

## Public Member Functions

Standard_EXPORT | StepElement_Curve3dElementDescriptor ()
| Empty constructor .
Standard_EXPORT void | Init (const StepElement_ElementOrder aElementDescriptor_TopologyOrder, const Handle(TCollection_HAsciiString)&aElementDescriptor_Description, const Handle(StepElement_HArray1OfHSequenceOfCurveElementPurposeMember)&aPurpose)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepElement_HArray1OfHSequenceOfCurveElementPurposeMember | Purpose () const
| Returns field Purpose .
Standard_EXPORT void | SetPurpose (const Handle(StepElement_HArray1OfHSequenceOfCurveElementPurposeMember)&Purpose)
| Set field Purpose .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepElement_HArray1OfHSequenceOfCurveElementPurposeMember | thePurpose

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_Curve3dElementDescriptor::StepElement_Curve3dElementDescriptor | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepElement_Curve3dElementDescriptor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepElement_ElementDescriptor.

Standard_EXPORT void StepElement_Curve3dElementDescriptor::Init | ( | const StepElement_ElementOrder | aElementDescriptor_TopologyOrder,
|  | const Handle(TCollection_HAsciiString)& | aElementDescriptor_Description,
|  | const Handle(StepElement_HArray1OfHSequenceOfCurveElementPurposeMember)& | aPurpose
| ) |

Standard_EXPORT Handle_StepElement_HArray1OfHSequenceOfCurveElementPurposeMember StepElement_Curve3dElementDescriptor::Purpose | ( |  | ) | const

Standard_EXPORT void StepElement_Curve3dElementDescriptor::SetPurpose | ( | const Handle(StepElement_HArray1OfHSequenceOfCurveElementPurposeMember)& | Purpose | ) |

## Field Documentation

Handle_StepElement_HArray1OfHSequenceOfCurveElementPurposeMember StepElement_Curve3dElementDescriptor::thePurpose`[private]`

The documentation for this class was generated from the following file:

- StepElement_Curve3dElementDescriptor.hxx